{% extends 'registr_login/register_main.html' %}

{% block content %}

<!-- title-->
<h4 class="mt-0">Free Sign Up</h4>
<p class="text-muted mb-2">Don't have an account? Create your account, it takes less than a minute</p>

<!-- form -->
<form action="" method="post">
    {% csrf_token %}

    <div class="mb-3">
        <label for="first_name" class="form-label">First Name</label>
        {{ form.first_name }}
    </div>
    <div class="mb-3">
        <label for="last_name" class="form-label">Last Name</label>
        {{ form.last_name }}
    </div>
    <div class="mb-3">
        <label for="username" class="form-label">Username</label>
        {{ form.username }}
    </div>
    <div class="mb-3">
        <label for="emailaddress" class="form-label">Email address</label>
        <br>
        {{ form.email }}
    </div>
    <div class="mb-3">
        <label for="password1" class="form-label">Password</label>
        {{ form.password1 }}
    </div>
    <div class="mb-3">
        <label for="password2" class="form-label">Password confirmation</label>
        {{ form.password2 }}
    </div>
    <div class="mb-3">
        <div class="form-check">
            {{ form.terms_checkbox }}
            <label class="form-check-label" for="checkbox-signup">I accept <a href="javascript: void(0);" class="text-muted">Terms and Conditions</a></label>
        </div>
    </div>

    <div class="text-danger">
        <!-- {{ form.errors }} -->
        <b>
        {% for error in form.errors.values %}
            {{ error }}
        {% endfor %}
        </b>
    </div>

    <div class="mb-0 d-grid text-center">
        <button class="btn btn-primary" type="submit"><i class="mdi mdi-account-circle"></i> Sign Up </button>
    </div>
    <!-- social-->
    <div class="text-center mt-4">
        <p class="text-muted font-16">Sign up using</p>
        <ul class="social-list list-inline mt-3">
            <li class="list-inline-item">
                <a href="javascript: void(0);" class="social-list-item border-primary text-primary"><i class="mdi mdi-facebook"></i></a>
            </li>
            <li class="list-inline-item">
                <a href="javascript: void(0);" class="social-list-item border-danger text-danger"><i class="mdi mdi-google"></i></a>
            </li>
            <li class="list-inline-item">
                <a href="javascript: void(0);" class="social-list-item border-info text-info"><i class="mdi mdi-twitter"></i></a>
            </li>
            <li class="list-inline-item">
                <a href="javascript: void(0);" class="social-list-item border-secondary text-secondary"><i class="mdi mdi-github"></i></a>
            </li>
        </ul>
    </div>
</form>
<!-- end form-->

{% endblock %}
